i2o_scsi_probe
Prev | I2O message devices | Next

## Name

i2o_scsi_probe — verify if dev is a I2O SCSI device and install it

## Synopsis

`int i2o_scsi_probe (` | struct device * | dev`)`;

## Arguments

`dev`

  device to verify if it is a I2O SCSI device

## Description

Retrieve channel, id and lun for I2O device. If everthing goes well register the I2O device as SCSI device on the I2O SCSI controller.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_scsi_remove | Home | i2o_scsi_reply